=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::TrackingStatusApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TrackingStatusApi' do
  before do
    # run before each test
    @instance = Shippo::TrackingStatusApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TrackingStatusApi' do
    it 'should create an instance of TrackingStatusApi' do
      expect(@instance).to be_instance_of(Shippo::TrackingStatusApi)
    end
  end

  # unit tests for create_track_post
  # Register a tracking webhook
  # You can register your webhook(s) for a Shipment (and request the current status at the same time) by POSTing to the tracking endpoint. This way Shippo will send HTTP notifications to your track_updated webhook(s) whenever the status changes.
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [TracksRequest] :body 
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Track]
  describe 'create_track_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_track
  # Get a tracking status
  # Request the tracking status of a shipment by sending a GET request.
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Track]
  describe 'get_track test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
